<template>
<div class="app-container calendar-list-container">
  <!-- 筛选条件 -->
  <div class="filter-container" style="margin-bottom: 50px;">
    <el-button class="filter-item pull-right" type="success" icon="edit" @click="handleCreate">添加</el-button>
  </div>

  <!-- 列表数据 -->
  <Pagination uri="/recharges" :request-params="params" ref="pagination">

      <!-- 充值金额 -->
      <el-table-column align="center" label="充值金额">
        <template scope="scope">
          <span>{{scope.row.rechargeMoney}}</span>
        </template>
      </el-table-column>

      <!-- 到账金额 -->
      <el-table-column align="center" label="到账金额">
        <template scope="scope">
          <span>{{scope.row.toMoney}}</span>
        </template>
      </el-table-column>

      <!-- 创建时间 -->
      <el-table-column align="center" label="创建时间">
        <template scope="scope">
          <span>{{scope.row.createdTime | parseTime('{y}-{m}-{d} {h}:{i}')}}</span>
        </template>
      </el-table-column>

    <el-table-column label="操作" align="center" width="150">
      <template scope="scope">
        <el-button size="small" type="text" @click="handleEdit(scope.row.id)">编辑</el-button>
        <el-button size="small" type="text" class="danger" @click="handleDelete(scope.row)">删除</el-button>
      </template>
    </el-table-column>
  </Pagination>
</div>
</template>

<script>
import { remove } from '@/api//recharge'
import waves from '@/directive/waves.js'// 水波纹指令
import Pagination from '@/components/Pagination'

export default {
  name: 'recharge_list',
  components: { Pagination },
  directives: {
    waves
  },
  data() {
    return {
      params: {
      }
    }
  },
  created() {
  },
  methods: {
    /**
     * 搜索快速充值配置信息
     */
    handleSearch() {
      this.$refs.pagination.handleSearch()
    },

    /**
     * 编辑快速充值配置信息
     */
    handleEdit(id) {
      this.$router.push({ path: '/recharge/edit', query: { id: id }})
    },

    /**
     * 创建快速充值配置信息
     */
    handleCreate() {
      this.$router.push({ path: '/recharge/edit' })
    },

    /**
     * 删除快速充值配置信息
     */
    handleDelete(row) {
      this.$confirm('确认删除该快速充值配置信息？').then(_ => {
        remove(row.id).then(response => {
          this.$refs.pagination.removeItem(row)
        })
      }).catch(_ => {})
    }
  }
}
</script>

